Boomi API Control Plane REST API - AuditLogs
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get audit log
Get filtered and paged audit log. This log contains any REST calls that (may) change the state of this software. That excludes any GET requests.
Authorizations:
query Parameters
| user | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| organization | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| from | string <date-time> |
| to | string <date-time> |
| categories | Array of strings Items Enum: "UNKNOWN" "USER" "API" "APPLICATION" "PLAN" "SUBSCRIPTION" "ENVIRONMENT" "CONFIGURATION" |
| text | string |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (AuditLogDTO) List of AuditLogDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "user": "76f62a58-5404-486d-9afc-07bded328704",
- "organization": "452c1a86-a0af-475b-b03f-724878b0f387",
- "method": "string",
- "path": "string",
- "query": "string",
- "body": "string",
- "responseCode": 0,
- "timestamp": "2019-08-24T14:15:22Z",
- "category": "UNKNOWN"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}